{
  "groups": [
    {
      "name": "ribbon.rule",
      "type": "net.yyc.common.gateway.support.HnqzRibbonRuleProperties",
      "sourceType": "net.yyc.common.gateway.support.HnqzRibbonRuleProperties"
    }
  ],
  "properties": [
    {
      "name": "ribbon.rule.enabled",
      "type": "java.lang.Boolean",
      "description": "是否开启，默认：true",
      "sourceType": "net.yyc.common.gateway.support.HnqzRibbonRuleProperties",
      "defaultValue": true
    },
    {
      "name": "ribbon.rule.gray-enabled",
      "type": "java.lang.Boolean",
      "description": "是否开启灰度路由，默认:false",
      "sourceType": "net.yyc.common.gateway.support.HnqzRibbonRuleProperties",
      "defaultValue": false
    },
    {
      "name": "ribbon.rule.prior-ip-pattern",
      "type": "java.util.List<java.lang.String>",
      "description": "优先的ip列表，支持通配符，例如：10.20.0.8*、10.20.0.*",
      "sourceType": "net.yyc.common.gateway.support.HnqzRibbonRuleProperties"
    }
  ],
  "hints": []
}